Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Interface XMLInputStream

All Known Subinterfaces:
  BufferedXMLInputStream, SecureInputStream, XMLInputOutputStream, XMLInputStreamFilter

All Known Implementing Classes:
  PipedXMLInputStreamBase, XMLInputOutputStreamBase, XMLInputStreamFilterBase, XMLSubStreamBase

Deprecated. please use java standard StAX api

    public interface XMLInputStream

This is the top level interface for iterating over XML Events in an XML document.

Difference from SAX

An event stream can be thought of encapsulating SAX events. It applies an iterator/pull metaphor to the parser allowing procedural, stream-based, handling of input XML rather than having to write chained event handlers to handle complex XML documents.

Difference from DOM

The pull metaphor allows single-pass, stream-based parsing of the document rather than tree based manipulation.

Since:
  XMLInputStream 1.0
See Also:
  `XMLEvent`, `CharacterData`, `ProcessingInstruction`, `StartElement`, `EndElement`, `CharacterData`, `XMLName`

Method Summary
`void` | `close()` Deprecated. Closes this input stream and releases any system resources associated with the stream.
`ReferenceResolver` | `getReferenceResolver()` Deprecated. Returns the reference resolver that was set for this stream, returns null if no ReferenceResolver has been set.
`XMLInputStream` | `getSubStream()` Deprecated. getSubStream() returns a stream which points to the entire next element in the current stream.
`boolean` | `hasNext()` Deprecated. Check if there are more events to pull of the stream
`XMLEvent` | `next()` Deprecated. Get the next XMLEvent on the stream
`XMLEvent` | `peek()` Deprecated. Check the next XMLEvent without reading it from the stream.
`void` | `setReferenceResolver(ReferenceResolver resolver)` Deprecated. Provides a way to set the ReferenceResolver of the stream, this is mostly needed for handle references to other parts of the document.
`void` | `skip()` Deprecated. Skip the next stream event
`boolean` | `skip(int eventType)` Deprecated. Position the stream at the next XMLEvent of this type.
`boolean` | `skip(XMLName name)` Deprecated. Position the stream at the next element of this name.
`boolean` | `skip(XMLName name, int eventType)` Deprecated. Position the stream at the next element of this name and this type.
`void` | `skipElement()` Deprecated. Skips the entire next start tag / end tag pair.

Method Detail

### next

    XMLEvent next()
                  throws XMLStreamException

  Deprecated.
  Get the next XMLEvent on the stream

  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### hasNext

    boolean hasNext()
                    throws XMLStreamException

  Deprecated.
  Check if there are more events to pull of the stream

  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### skip

    void skip()
              throws XMLStreamException

  Deprecated.
  Skip the next stream event

  Throws:
    `XMLStreamException`

### skipElement

    void skipElement()
                     throws XMLStreamException

  Deprecated.
  Skips the entire next start tag / end tag pair.

  Throws:
    `XMLStreamException`

### peek

    XMLEvent peek()
                  throws XMLStreamException

  Deprecated.
  Check the next XMLEvent without reading it from the stream. Returns null if the stream is at EOF or has no more XMLEvents.

  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### skip

    boolean skip(int eventType)
                 throws XMLStreamException

  Deprecated.
  Position the stream at the next XMLEvent of this type. The method returns true if the stream contains another XMLEvent of this type and false otherwise.

  Parameters:
    `eventType` - An integer code that indicates the element type.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### skip

    boolean skip(XMLName name)
                 throws XMLStreamException

  Deprecated.
  Position the stream at the next element of this name. The method returns true if the stream contains another element with this name and false otherwise. Skip is a forward operator only. It does not look backward in the stream.

  Parameters:
    `name` - An object that defines an XML name. If the XMLName.getNameSpaceName() method on the XMLName argument returns null the XMLName will match just the local name. Prefixes are not checked for equality.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLName`

### skip

    boolean skip(XMLName name,
                 int eventType)
                 throws XMLStreamException

  Deprecated.
  Position the stream at the next element of this name and this type. The method returns true if the stream contains another element with this name of this type and false otherwise.

  Parameters:
    `name` - An object that defines an XML name. If the XMLName.getNameSpaceName() method on the XMLName argument returns null the XMLName will match just the local name. Prefixes are not checked for equality.
    `eventType` - An integer code that indicates the element type.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`, `XMLName`

### getSubStream

    XMLInputStream getSubStream()
                                throws XMLStreamException

  Deprecated.
  getSubStream() returns a stream which points to the entire next element in the current stream. For example: take a document that has a root node A, where the children of A are B, C, and D. If the stream is pointing to the start element of A, getSubStream() will return A, B, C and D including the start element of A and the end element of A. The position of the parent stream is not changed and the events read by the substream are written back to its parent.

  Throws:
    `XMLStreamException`

### close

    void close()
               throws XMLStreamException

  Deprecated.
  Closes this input stream and releases any system resources associated with the stream.

  Throws:
    `XMLStreamException`

### getReferenceResolver

    ReferenceResolver getReferenceResolver()

  Deprecated.
  Returns the reference resolver that was set for this stream, returns null if no ReferenceResolver has been set.

  See Also:
    `ReferenceResolver`

### setReferenceResolver

    void setReferenceResolver(ReferenceResolver resolver)

  Deprecated.
  Provides a way to set the ReferenceResolver of the stream, this is mostly needed for handle references to other parts of the document.

  See Also:
    `ReferenceResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD